    Two-dimensional delta function.

delta2d

The delta function model is only non-zero at a single point (or pixel for integrated grids).

>>> create_model_component("delta2d", "mdl")
>>> print(mdl)

Create a component of the delta2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
xpos
The coordinate of the signal on the x0 axis.
ypos
The coordinate of the signal on the x1 axis.
ampl
The amplitude.

Notes

The functional form of the model for points is:

f(x0, x1) = ampl if x0 == xpos and x1 == ypos = 0 otherwise

and for an integrated grid it is:

f(x0lo, x1lo, x0hi, x1hi) = ampl if x0lo <= xpos <= x0hi x1lo <= ypos <= x1hi = 0 otherwise

This behavior is different to how the amplitude is handled in other models, such as const2d .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023